Show / Hide Table of Contents

# Class BeatSaber

Provides some basic utility methods and properties of Beat Saber

##### Inheritance

Object
BeatSaber

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Utilities

###### Assembly: IPA.Loader.dll

##### Syntax

    public static class BeatSaber

### Properties

| Improve this Doc View Source

#### GameVersion

Provides the current game version.

##### Declaration

    public static AlmostVersion GameVersion { get; }

##### Property Value

Type | Description
--- | ---
AlmostVersion | the SemVer version of the game

| Improve this Doc View Source

#### InstallPath

Gets the path to the Beat Saber install directory.

##### Declaration

    public static string InstallPath { get; }

##### Property Value

Type | Description
--- | ---
String | the path of the game install directory

| Improve this Doc View Source

#### LibraryPath

The path to the `Libs` folder. Use only if necessary.

##### Declaration

    public static string LibraryPath { get; }

##### Property Value

Type | Description
--- | ---
String | the path to the library directory

| Improve this Doc View Source

#### NativeLibraryPath

The path to the `Libs\Native` folder. Use only if necessary.

##### Declaration

    public static string NativeLibraryPath { get; }

##### Property Value

Type | Description
--- | ---
String | the path to the native library directory

| Improve this Doc View Source

#### PluginsPath

The directory to load plugins from.

##### Declaration

    public static string PluginsPath { get; }

##### Property Value

Type | Description
--- | ---
String | the path to the plugin directory

| Improve this Doc View Source

#### ReleaseType

Gets the BeatSaber.Release type of this installation of Beat Saber

##### Declaration

    public static BeatSaber.Release ReleaseType { get; }

##### Property Value

Type | Description
--- | ---
BeatSaber.Release | the type of release this is

| Improve this Doc View Source

#### UserDataPath

The path to the `UserData` folder.

##### Declaration

    public static string UserDataPath { get; }

##### Property Value

Type | Description
--- | ---
String | the path to the user data directory